=4.58=
2024-03-01
* Fixed unability to run without admin rights under Windows, TNX to OK7KM, OK2SLC

=4.57=
2024-03-01
* Next libiconv call fixes, TNX to OK2JTB, M0KOV

=4.56=
2024-02-27
* Fixed aircraft.dk error message, TNX to G1OGY
* Reviewed errno handling, TNX to G1OGY
* Some libiconv call fixes, TNX to IN3UPQ
* Next fix for Davac5 udev rules, TNX to OK1ELE

=4.55=
2024-01-23
* Return to manualy save the tucnakrc (many many problems with autosave)
* Linux udev rules for CM108 family (Davac5), TNX to OK1ELE
* Fixed linux rotar save freeze, TNX to M0KOV

=4.54=
2024-01-05
* Removed Dump RW bands and hashes
* KST QSO phase filter, TNX to OK1MZM
* Fixed PortAudio device search (hostApi)
* Fixed PortAudio recording device, TNX to OK2WO
* Fixed Paypal donate, TNX to G1OGY

=4.53=
2023-12-17
* Airscatter.dk feed, TNX to OV3T
* Donate via PayPal or Buymeacofee
* Truetype font
* Centerwwl, OSN credentials null fix
* MinASL tested on load
* ASfile fixed unknown wingspan
* AS print ICAO24 address (ID)
* Disabled RS Meteox and Wetteronline
* HTTPS (openssl) under Android
* Rainviewer timer fix
* libzia TLS message fix

=4.52=
2023-11-20
* Fixed overflow bug in AS options under Linux, TNX to G1OGY
* Default AS provider is ADSB One
* Fixed RS SCP dist 310
* Fixed Linux ttys *printf without arguments

=4.51=
2023-11-19
* New option AS Center WWL
* AS tracking also for remote rotator
* ADS-B One feed, TNX to G1OGY
* Optimized file read in AS thread
* Better HTTP error reporting
* Fixed Feed filename load in AS options dialog. TNX to OK1ELE
* Memory leak fixes

=4.50=
2023-11-15
* Aircraft file feed returned for planefinder.net
* Wingspan from icao24, many TNX to G1OGY
* Fixed wingspan respects imperial units setting
* Fixed rotars reinit race condition while AC tracking
* Added configure --without-hidapi
* OpenSky-network feed

=4.49=
2023-10-30
* Fixed config save after window resize
* Aircraft size, TNX to OK1MZM

=4.48=
2023-10-15
* Aircraft scatter changed feed to firefox addon
* Rig config
* Fixed oct8tor wait for thread
* Fixed rig close (unlock filename)
* Fixed broken rig_handshake_none

=4.47=
2023-10-04
* Save PortAudio device names instead of numbers
* Davac5 full support
* Fixed oct8tor leaks
* Removed obsolete hdkeyb support
* JP90 is in SM5, TNX to OK1MZM

=4.46=
2023-09-09
* Fixed memory leaks
* Fixed AS crash, TNX to OK1UGE and SQ6EMM
* Fixed subwin save, TNX to OK2SLC
* Fixed Log lines change, TNX to OK2SLC

=4.45=
2023-08-25
* QRG for sked saves contest
* Rig and Rotar poll intervals set to valid values
* Removed Terminal options
* Configuration autosave after OK in every setup dialog
* Map keys (L) only without modifiers (Ctrl)
* Gain graph redraw after band change
* Removed floppy autosave

=4.44
2023-06-04
* Save QRG for all bands into contest files
* Fixed crash bad font size, TNX to OK1MZM
* Fixed subwin highlight for characters >=0x80
* Oct8tor support
* Names and FM Pohar update, TNX to OK4DJ
* Winkey echoback, TNX to OK4DJ
* Load from net loads also contest defaults
* Fixed KST messages (/CQ)
* Fixed chart redraw after new QSO, TNX to OK2SLC
* Removed Alt+G

=4.43=
2023-04-15
* Initial window type in Change type, TNX to OK2SLC
* Fixed chart after EDI load, TNX to OK2SLC
* Fixed: new KST stations are red, TNX to OK1MZM
* cppcheck warning level fixes
* Included rotctld.exe

=4.42=
2023-03-09
* [CLR] click only on button
* KST message cleanup, TNX to OK2WO
* linux xset fix, TNX to OK4DJ
* HTTP header parse fix, TNX to OK7SE
* Configure C99 fix, TNX to OK2JRQ
* Fixed empty RST-S bug, TNX to G1OGY
* Spy active band (*)
* Fixed tucnakrc parse

=4.41=
2023-03-02
* Display AS in imperial units option
* Ctrl+S for hamlib/remote rotator stop, TNX to G1OGY
* Rotar	description up to 8 characters
* Configure socklen_t fix, TNX to Florian Weimer

=4.40=
2023-01-07
* Fixed ADIF import, TNX to OK2WO
* Fixed keypad double keys and Ctrl +-
* Removed accidentally create of font18x32.png
* Robust KST /sh us 
* Limit rit to +-10000 Hz

=4.39=
2022-12-10
* ON4KST telnet protocol change
* Fixed AS download crash, TNX to OK2SLC
* Fixed keypad on windows (Ctrl +-)
* Menu triple bar

=4.38=
2022-11-25
* ADIF import STX_STRING, SRX_STRING, TNX to DF2ET
* DARC Worked All Germany Contest, TNX to DF2ET
* SP activity contest, TNX to SQ6EMM
* Gentoo build fix, TNX to DL1JBE
* MMMonVHF instead of EBW
* USB info about opened Davac and Rotar, TNX to OK1MZM
* KST full name (including bands) in QSO info
* Davac reset on startup

=4.37=
2022-09-19
* SDL 24bit display fix, TNX to Ozkan Sezer
* DARC multipliers update, TNX to DF2ET
* Suspicious contest exchange turns inputline to red/white
* AcKST is now latest activity, not presence
* Fixed EDI import crash, TNX to OK1MZM
* Linux lock permission fix, TNX to OK4DJ
* Fullscreen fix, TNX to OK7KM
* Allow 4k displays
* libzia bfd/binutils require fix, TNX to OK2JRQ
* RST recovery from *.swp
* ifa_addr == NULL fix, TNX to OK2JRQ

=4.36=
2022-04-29
* Mode change from menu, default RST fix, TNX to OK4DJ
* FM Alt+M accidental CQ fix
* Argument -c for other tucnakrc
* Minimal required glib is 2.30
* Fixed memory leaks discovered by valgrind
* AS info can use temporary locator, TNX to OK1MZM
* Fixed czech network info
* itrm free fix, TNX to Ozkan Sezer
* zifaces redefinition fix, TNX to Ozkan Sezer

=4.35=
2022-04-12
* Italian activity contest, TNX to IU5BON
* Memory free fix, TNX to IU5BON
* MacOs/linux interfaces detect, TNX to IU5BON
* MacOs build fix, TNX to IU5BON
* Fixed aircraft plural, TNX to IU5HKX
* IARU band names convert at start
* IARU band names fix
* Linux desktop file icon/exec fix, TNX to SQ6EMM
* DARC XMAS contest, tttype fix, TNX to DF2ET
* Fixed hamlib configure, TNX to DH5YM

=4.34=
2021-12-22
* CW breakable only opt-in
* RIT read only if supported, TNX to OK1MZM
* Hamlib voice/morse thread fix, TNX to SQ6EMM
* Input breaks only repeated CQ, TNX to OZ9GE
* Minimal rig poll is 100ms, TNX to SQ6EMM

=4.33=
* Fixed gcc 10.2 warnings
* Moon contest 23cm
* Fixed zserial_close race condition
* Fixed expedition mode from wizzard, TNX to OK1MZM
* Rotator offset
* KST networking partial rewrite
* Updated KST IP, used without DNS
* Content-type check in AS, RainViewer
* Excluded vhfcontestnet
* Swap recovery keeps date/time, TNX to OK1FIK
* Code input breaks CQ, TNX to OK1FIK
* Infinite rotator beam
* CW/SSB CQ using Hamlib, TNX to SQ6EMM

=4.32=
2020-09-30
* Ruhrgebiets Contest, TNX to DF2ET
* Alt+A crash, TNX to OK2SLC
* Linux interfaces bug fixed, TNX to G1OGY

=4.31=
2020-09-14
* Hamlib 4.3.1 in windows package :-))
* IARU band names update, TNX to OK5ZS
* Linux double Alt+M fix, TNX to IZ3GME
* Linux winkey timeout fix, TNX to IZ3GME
* KST messages "CALL MSG" showed in bottom log
* Fixed border redraw after locator change

=4.30=
2021-06-29
* DARC 2m Education Contest in wizzard
* Rainviewer Web Mercator projection fix
* AS info above clouds in map
* AS tracking hysteresis +-1deg
* Fixed DNS crash
* Hamlib 4.2 fix, TNX to KF5OIM

=4.29=
2021-05-23
* Paleni carodejnic partial support, TNX to OK4DJ
* ARI DX partial support, TNX to OK4DJ
* ADIF TX_PWR, TNX DF2ET
* Airscatter plane tracking by rotator
* Hamlib rotator elevation and baudrate support
* Rainviewer support, TNX to RT5D
* Fixed gnutls error messages
* KST &amp; -> &
* Removed qsop_method total_method debug message

=4.28=
2021-04-21		
* Fixed meteox load, TNX OK4DJ
* Map context menu on right click to turn rotator
* Fixed crash before QSO edit, TNX to OK1PKO

=4.27=
2021-04-13
* tucnaknames update, TNX to OK4DJ
* HTML code in separate columns, TNX to DF2ET
* DARC Easter Contest, TNX to DF2ET
* Fixed crash after QSO edit, TNX to OK1ELE
* Fixed Android 4.1 library order, TNX to OK1PKO
* Sums across all bands in HTML report, TNX to DF2ET
* Fixed android locale characters problem

=4.26=
2021-02-26
* SOTA and DXC update, TNX to OK2MUF
* GTK2 -> GTK3 for libzia messagebox
* Changed i18n generation not to require ISO8859-2 locales
* Fixed free() bug under Linux, TNX to OK3TV
* Fixed some problems reported by Valgrind
* Ctrl+Up/Down arrows emulate PageUp/PageDown

=4.25=
2021-01-20
* AC HTTP fix, TNX M0KOV, OZ9GE
* Moon contest full support	(in QTH use minus instead of spaces, only english chars)
* Fixed Contest Lombardia points
* TNX to OK5ZS for precise testing
* chmi.cz fix (HTTPS)
* TLS (HTTPS) support using GNUTLS
* Re-arranged Contest options, TNX to OK1MZM
* Support for contest phases, TNX to OK6RP, OK5ZS
* STF export, TNX to DF2ET
* Tucnakdw update, TNX to G1OGY
* ICAO DB update, TNX to G1OGY
* Fixed text file load without trailing CRLF, TNX to OK1MZM
* Fixed ICAO DB, TNX to G1OGY
* Fixed zsdl variable, TNX to DF2ET
* SOTA export, TNX to OK2MUF
* Directory to store logs, TNX to DF2ET
* Adif ERROR export choices, TNX to DF2ET

=4.24=
2020-11-16
* New Debian maintainer OK3ON
* Fixed QRV window crash, TNX to OK1MZM
* Skips wkd WWL in KST list
* Fixed map update after contest open/close, TNX to OK1MZM
* Tmpqsos context menu, added infos also for fifo context menu
* Scatterpoint detect
* Fixed bug in tmpqsos
* Renamed A/C to AS
* Support for SDL2
* Detected SIOCGIFHWADDR for MacOs, TNX to SQ2JUL
* Fixed ASCII texts conversion for Android, TNX to OK5ZS

=4.23=
2020-09-15
* Fixed crash on file choose (EDI import), TNX to G1OGY
* R-Contest, TNX to DF2ET
* BSD style -Wl,-map
* KST menu to select call when text scrolls fast
* SDL events in same thread on MacOs, TNX to SQ2JUL
* ADIF items update, TNX to DF2ET
* Fixed hamlib rotar 
* Trace hamlib rotars
* ` toggles split VFOs MAIN/SUB, TNX to OK1FIK

=4.22=
2020-08-10
* New hamlib 3.3 in windows package, TNX to OK2WO, OZ9GE
* Fixed tucnakdw prefixes recognition (SK6), TNX to OZ9GE
* JO57 is SM6
* Libzia.pc
* Increased rotator timeout ranges
* Replaced obsolete glib macros
* New config.guess and config.sub for aarch64
* All c and h files are in utf-8
* New libbfd macros support
* Support for detailed tucnakdw, TNX to OK2WO
* QRG in QSOs window for M7IMF
* Do not print open hdkeyb error mesage
* Fixed crash under terminal with long name
* DARC VHF UHF uW contest, TNX to DF2ET

=4.21=
2020-04-21
* EXC len 20 characters
* KST message from right click in log (bottom of screen)
* Rig error message showed
* Fixed rig device lock
* COM keying on single pin
* GCC warning fixes
* Autoconf obsolete macro remove, TNX to OK2JRQ
* Some files in UTF-8, TNX to OK2JRQ
* Next fix for update_deb.sh, TNX to G1OGY

=4.20=
2020-01-29
* Fixed update_deb.sh, TNX to G1OGY
* GCC-10 fixes, TNX to Robert-André Mauchin
* Tucnakdw update, TNX to G1OGY
* WSA multipliers update, TNX to DF2ET
* Fixed broken libpng.dll, TNX to OZ9GE

=4.19=
2020-01-10
* FSF address update, TNX to OK2JRQ
* WNA multipliers update, TNX to DF2ET
* HTTP server refresh, TNX to DF2ET
* K7FRY's locator map, TNX to G1OGY
* Different EXC length, TNX to DF2ET
* Fixes for OpenBSD
* Some warning fixes
* MacOS build, TNX to Vitaliy UT4UAZ
* Fixed build under FreeBSD 12.0
* Optional exchange in Cabrillo, TNX to DF2ET
* Fixed msvcr120.dll, TNX to OK1CDJ, OK5ZS

=4.18=
2019-09-04
* Fixed startup crash on Debian i386, TNX G1OGY

=4.17=
2019-09-01
* Valid QSO count for OK2WO
* Changed export extension ADIF->ADI
* Fixed wifi interface name under Windows
* New libpng.dll
* Removed battery support under Windows
* Switch to VS2013 (toolset v120_xp)
* Fixed battery state detection win32

=4.16=
2019-04-17
* Removed libusb0 under windows
* Contest Lombardia support
* Removed vhfcontest.net support
* Do not mark DUPE in expedition mode

=4.15=
2018-11-13
* Us-ascii strings in Android to prevent charset-relate crash >= 7.0
* Worked WWLs in map displayed red
* WWL in KST users list, missing WWL multipliers displayed green
* SSID support for ON4KST chat
* PTT tail
* 59* (numeric keypad) is RST-S, TNX to OK5ZS
* Updated wetteronline rain map (site change)

=4.14=
2018-07-07
* Quiet mode for soundwrapper
* Uninstall cleanup on Windows
* Fixed "QRM" from remote rotator. TNX to OK1XDF
* Upgraded libftdi to 1.4 under MSVC
* Back to VS2010 for WinXP
* Cabrillo EXC indent

=4.13=
2018-05-06
* Fixed new gcc warnings
* KST dark yellow of worked call, also not selected
* Lowered priority of A/C thread
* Compute A/C for whole QRV list
* Fixed crash on Android 7, TNX to OK1USW
* Fixed KST sort by NR
* Improved RIG timeout
* Fixed RIT read from rig
* MSVC120 (VS1013)
* Plane type and wingspan in map
* KST /sh us sent after connect
* QRV list rework
* KST QRB filter
* Ask for sked B

=4.12=
2018-03-04
* KST color for station worked on actual band (dark yellow)
* KST color - station worked on all read-write bands is dark grey
* Fixed KST A/C info, call with -number

=4.11=
2017-10-04
* X-QSO: in cabrillo, TNX to DO2HG
* German translation of program, TNX to DO2HG
* ON UBA contest in wizzard, TNX to DO2HG
* claimed live score to slovhf.net
* removed KST debug dump, TNX to G1OGY

=4.10=
2017-08-30
* Rainscatter does not show low intensity rain
* New band multipliers for NAC
* Fx macros in CW window, TNX to DL5YBZ
* Fixed rotctld filename, TNX to DL4PD
* Fixed crash in DXC, TNX to DL4PD
* Fixed mingw compile
* Fixed compile errors witout SDL, TNX to OK1CDJ

=4.09=
2017-02-15
* Fixed Spy crash, TNX to OK1CT
* Fixed hamlib rotator, TNX to OZ1CT
* Fixed update crash, TNX to DJ0QZ
* Fixed startup crash in text mode
* Fixes for FreeBSD 10.2
* Updated WNA/WSA scoring in support files

=4.08=
2016-08-10
* Support for Multiplied exchanges
* Support for WNA and WSA Westphalia Activity
* DOKs in validated EXCs
* A/C smaller planes on smaller zoom
* JA in tucnakdw
* SDR without SDL
* Fixed localization crashes in SDL init
* Rainscatter maps
* Menu Set Mode for AM/FM/RTTY

=4.07=
2016-04-29
* Fixed A/C feed load interrupt under minimal altitude
* A/C feed URL got from server
* Fixed text in the "Only digits mean" button

=4.06=
2016-03-11
* Summary dialog before vhfcontest.net upload
* Stats WWL radius
* Fixed qsoglob in tucnakwiz for SSB Liga 
* Fixed tucnakrc crash after downgrade
* Fixes for clang 3.5
* Fixed many rig PTT problems, TNX to G4ZTR
* Fixed race condition in rig initialization
* New rig option Force handshake NONE, TNX to G4ZTR
* Hamlib 3.1~git in windows package
* Fixed bug in first start in textmode
* Compile fixes for probably bug in gcc 4.6
* Support for libftdi 1.0
* Fixed bug in QSO trace under windows, TNX to SP6LTC

=4.05=
2015-10-12
* Koel-Achen contest wizzard and EXC data, TNX to DL4PD
* Fixed bug in QRB compute JN54KP-JN54KP, TNX to IU4APB
* Ctrl+Up/Down in bandmap tunes rig to next spot
* Use in DXC window sets rig frequency
* Fixed AC start time display, TNX to OK3MAD
* Inverse display
* Fixed "ZC4:" bug in tucnakdw, TNX to DL7BST
* Fixed unifinished QSO without qsonr, TNX to DL7BST
* DXCC multipliers in HF window
* Included txt2inc.pl and master.scp, TNX to DL7BST

=4.04=
2015-08-07
* Fixed rebuild scripts and libiberty detection
* Removed Crash test and Int.error test also from v4, TNX to SP2FRY
* Fixed italian translation, TNX to IK4XQT
* AC's sorted in z-order
* Fixed translations

=4.03=
2015-06-04
* RSGB M7 support for G4ZTR
* Official Tucnak package in Debian, TNX to G8TMV
* tac2tuc.pl removed from install
* Modifications of build system to satisfy Debian's pbuild
* Fixed menu name, TNX to OZ1PIF
* Fixed A/C info without known locator
* Fixed A/C info crash, sw->zoom was not set

=4.02=
2015-05-12
* Fixed A/C freeze under WinXP, TNX to OZ9GE

=4.01=
2015-05-11
* Fixed bug in cor recalc on WinXP, TNX to OZ9GE
* Fixed A/C WWL update, TNX to OK1MZM
* Fixed update output parse

=4.00=
2015-05-09
* KST dump skip
* Fixes for development on Jessie
* Fixed missing WWLs in stats window, tnx to OZ9GE
* Fixed Sun position jun-sep
* Talk offline transfer
* Updated Czech translation
* Fixed scroll when searching in KST/DXC
* Fixed QSO hash, can cause bad call highlight in KST/DXC
* Fixed layout update in text mode after Misc options
* Fixed and optimized cor recalculation
* Airplane position is in the center of sign
* Fixed new format of A/C feed
* Updated KST server IP list
* Show ! in DXC when call brings new EXC multiplier
* Fixed CI-V address, TNX to OK1CDJ
* Allow up to 4 digits and letters in callsign
* Fixed crash when adding chart without opened contest, TNX to IZ3GME (ex IW3IKN).
* Fixed gen-conly script
* Italian translation, TNX to IK1RAC
* Anti-aliased qso cross in map
* Fixed cabrillo frequency and header, TNX to OK1UGE
* New countries in tucnakdw, TNX to F4CIB 
* Remove branch number from package names

* Fixed lintian errors and some warnings
* Fixed characters typed with right alt keyboard layout switch
* Optimized layout of OSK
* A/C info plot instead of QSO info
* Crossing A/C are blue
* Fixed http upload of long files (>cca 100kB)
* Fixed crash in wiki upload
* Set higher priority to cwdaemon thread on windows
* Fixed crash in main_msg_handled (CW:!)
* Fixed compile with some version of libbfd

=3.28=
2014-09-29
* Window highlight searches for whole words
* Allow to use non-call as operator
* Fixed too many open files bug in SSB CQ
* Fixed mediawiki upload credentials
* Reverse portrait and landscape mode on Android
* Lower mouse accuracy needed for menu separators and borders, TNX to OK1MZM

=3.27=
2014-08-31
* Fixed KST A/C map crash, TNX to SP3IYM
* Fixed crash in vhfcontestnet upload
* Ask for sked and Message open OSK													
* Fixed Alt+PNK in KST within OSK

=3.26=
2014-08-14
* Fixed crash in QRV window redraw, TNX to OZ7Z

=3.25=
2014-08-14
* Reload interfaces button in Network info
* Spy shows error when contest is long
* Android notification and service
* Fixed crash on Android 4.4 KitKat, TNX to my wife Bara
* Fixed OSK KST Alt+K, Ctrl+K, TNX to OK1MZM
* Fixed OSK size, OSK close button click area, out of OSK clicks pass, TNX to OK1MZM
* QRV list create in menu Subwins->Add contest
* Wiki report upload to mediawiki site
* EDI log upload to www.vfhcontest.net
* Fixed HF Edit QSO bug, TNX to F5NLG
* Removed Crash test and Int.error test, TNX to DL4DZ
* hamlib uses win32 api for FUNcube
* SDR right button drag tunes radio
* Fixed many SDR bugs

=3.24=
2014-06-12
* Experimental support for SDR
* Fixed wifi UDP negotiation on Android
* Fixed band change tucnak->radio
* Fixed rig lock problem
* Translate 0xd8 to 0 in KST
* Fixed spy and contest load when remote node is connected
* Fixed bad comparison in initialization, TNX to David Binderman
* Fixed gain display of QTF=8, tnx to OZ9GE
* Anti-aliased map in HTML/wiki exports and over HTTP
* Speed up window resizing 
* Remember maximized state under Windows
* Fixed crash causet by too small application window
* Bigger font allowed in on screen keyboard
* Bigger font for higher resolution at startup
* Window maximized at startup
* Open web browser with WWL in Call info
* Do not preload checkboxes in Load from network dialog when loading from same host
* Autorepeat in OSK
* Inputline	history works in OSK
* Show battery state 
* Support for arbitrary category (PSect in EDI)
* Fixed ftdi_usb_get_strings detection under 'nixes and msvc
* Fixed multipliers in CQSOs EDI line, TNX to OZ1FF
* Fixes in Scope/FFT window
* Fixed hamlib configure path
* Fixed redraw of focus rectangle around window

=3.23=
2013-12-28
* New windows icon resolutions
* Seconds marks in Player window
* Send locator to KST during connect chat
* Experimental focus rectangle around window
* Experimental portrait orientation under Android
* Support for RSGB M5-type contests
* Fixed external tucnakwiz load under windows
* Fixed many SSB CQ and recording issues
* Fixed FFT redraw after ssbd file format change
* Fixed wav play fail under Android
* Accelerated vertical window scroll under Android  
* Fixed scope window flashing when recording
* Fixed device lockfile delete
* Fixed serial port detect under Android

=3.22=
2013-11-05
* Serial port detection in Info
* Battery state in Info
* Close button in on screen keyboard
* Drag menu selection by mouse/touch
* Location update by click on Android
* Fixed lockfile path on Arch linux, TNX to DF4OR
* Playing SSB CQ on Android
* Android API back to 4 (Android 1.6)
* Fixed shift in on screen keyboard
* Fixed under cursor nummer-ended call recognition in KST/DXC
* Fixed spy state request after contest load
* Fixed screen layout with spy activated
* Inputline history in touch mode
* On screen keyboard capslock
* Fixed settings on Android
* Save/restore state on Android after apps switch
* Fixed menu Window->Open connection
* On screen keyboard replace Fn with star
* On screen keyboard swap comma and question mark
* On screen keyboard shows same case size as it writes
* Shake on end of scroll in windows
* Reversed QSO scroll direction, no QSO highlight
* Faster window scroll in touch mode

=3.21=
2013-09-03
* Disable screensaver on Android (off by default)
* New touch keyboard symbols
* Geolocation in Info on Android
* Actual locator in new contest on Android
* Fixed swap import, TNX to OK1HRA
* Ignored spy lines in old contest
* Fixed screen layout after Log lines change
* Removed >< in A/C result
* QSOs cursor jumps to last qso when window is activated
* Scroll in search results in kst and dxc windows
* Use of call (kst, dxc, sked, qrv) adds call to inputline history
* Fixed Shift+F3 in contest
* Set PTT over CAT
* Fixed rig_open error reporting
* Get locator also from QRV database
* Change font in first Contest def dialog
* Fixed NAC on 70MHz
* Fixed A/C load (included in 3.20-android)

=3.20=
2013-06-14
* Fixed crash after TAB in text mode, tnx to OK1HRA
* Fixed database load in New contest from net over slow link
* Fixed negative float number read from tucnakrc
* rigctl.exe and rigctld.exe in msvc package
* Hamlib 1.2.15.3-zia in msvc package
* Fixed tucnakwiz load
* NAC is also on 70MHz, TNX to OZ1FF
* Fixed shell close under Win32
* Fix QRG decimal dots in QRG
* Rotar description on main screen
* Select in QRV window 
* Testing support for A/C prediction
* Fixed Home in Chart window under linux
* Support for serial numbers for FTDI converters
* Many fixes and improvements in rig control
* Fixed crash in file unlock
* Improved rig trace
* Alt+F10 maximize/restore window under msvc/mingw
* Improved settings under msvc

=3.19
2013-04-28
* Automake silent rules
* File libzia*.so.d moved to /usr/lib/libzia
* Fixed CQ repeat timer, TNX to OK2WO
* Removed OS Shell in SDL mode, TNX to OK2WO
* Can select menu item checbox also by mouse/touch
* Close OSK before DUPE dialog 
* Ctrl+Y clears also OSK inputline
* Fixed platform trailing 'x'

=3.18=
2013-04-24
* Initial locator load on android
* Fixed -d argument under msvc and mings
* Fixed bug in SWP load (unbelievable, must be here many years)
* Sndfile is optional
* Disabled rotar description in menu
* Update for EEE
* Again fixed checkbox in Shell menu item
* Fixed Invalid option message
* Fixed empty space redraw in text mode
* Fixed Bad auth message
* Probably fixed crash of deb's tucnak on wheezy, TNX to OK1TKP
* New option No device locks
* Removed use of deprecated GMemChunk
* Fixed most of warnings for gcc 4.7
* Improved sound latency
* Fixed hamlib debug mode (OR of enabled rigs)
* Export to text file for KST and DXC windows
* Dump RW bands and hashes for diagnostics of problem caught in March contest
* Export as EDI fill operators when field is empty
* In touch mode screenshot is without keyboard
* Show stars instead of KST password 
* Distribute RIT over rigs
* QRG can be entered without contest
* Experimental support for more rigs
* Fixed up arrow in QSOs window with Show All on
* Add contest and Add files menu items in Chart subwin/context menu

=3.17=
2013-02-25
* Fixed secondary DXCC prefix recognition
* Fixed crash in empty QRV list using mouse wheel, TNX to OZ9F
* Fixed worked QSO color after QSO edit
* CEPT prefix and suffix sensitive QRV list (tnx to G1OGY)
* Support for debug info from dynamic libzia
* Fixed checkbox in Shell menu item

=3.16=
2013-01-09
* Winkey over TCP/IP
* Fixed internal error message, TNX to OK1CDJ
* Removed QRB QSO check warning
* DXCC name in call info
* Enter without contest runs call info
* Fixed libzia compile --without-gtk
* Fixed TUCNAK_DEBUG variable (broken since 3.00)
* Removed support for winkey+davac4 (never 100% working)
* Fixed unix shell echo without PTY
* Idea: OSK keeps worked QSO visible
* Support for libsndfile (no SSB CQ/rec now) under android
* Support for hamlib under android
* Confirm call/exc/wwl by mouse click
* Android key trace
* Android menu key opens menu
* Rewritten parts of mouse handling code for drag window scroll
* In touch mode DXC/KST click always shows context menu
* Swap ENTER and BS on OS keyboard
* Released public beta od android
* Map icons Home, Zoom in, Zoom out
* Touch control
* New font 18x32
* Private release of beta Android
* Scroll DXC bandmap using Shift+Arrows, PageUp, PageDown, Home
* Frequency in QRV list takes only needed space
* Higlighted line in bandmap and qrv list changed from inverse to [...]
* Polish language file, TNX to SP5QWB
* Fixed sound type without portaudio
* Uploaded transitional debian package tucnak2 -> tucnak3
* Insert in chart window chooses contest instead of file
* Settings and Info in Help menu (corresponds to -s and -i command line arguments)
* Improved network contest load with long databases over slow links
* Re-arranged Network and Trace dialog
* Fixed remote connect to local host
* Fixed ] in talk window
* OK? at end of Ask for sked
* Fixed crash in wiki export in text mode
* --with-pkg configure argument
* Fixed platform and machine type under mingw

=3.15=
2012-10-25
* Own update system for deb.i386, deb.amd64 and msvc
* Inputline history increased to 30 items
* Right click in title of QRV part of KST window choose optional QRV column
* When QRV sort is by QTF or KST, the QTF is shown in QRV part of KST window
* Can clicn to QRV column headers in QRV window to sort items
* Can click to QRV column headers in KST window to sort items
* Support for mouse in QRV part of KST window
* Support for incorrect KST /CQ command recognition '> (0) (CALL) ...'
* Improved search in KST window (no right move, highlight search pattern)
* Accidentaly entered 2-7 numbers in KST are processed as contest exchange (RST,NR)
* Fixed accidental kill when shell is terminated under linux
* Fixed codepage od DNS errors under msc/mingw
* Fixed socket connected handler in KST, DXC (should not happen in real life)
* Operator change mark in chart, operator show in title
* Removed old New from net
* Removed old spy
* Mass R-O band set Bands->Set read-only
* QRV info showed instead of top log line to save space 
* QRV info show also for dupe
* Ctrl+L under SDL switches to 24G. Without SDL means terminal redraw.
* Fixed SSID-calls add to C_W
* Fixed chart points axis description
* Changed font for msie in httpd

=3.14=
2012-10-04
* Fixed contest load with 0 points
* Fixed new cty.dat load, tnx to 9A4ZM

=3.13=
2012-10-03
* Fixed right click out of windows titles
* QTF in QRV window right aligned
* Allow reverse sort in QRV window
* Fixed crash in New Contest, tnx to SP5QWB
* Fixed alternative slash key in QRV window, tnx to 9A4ZM
* Updated cty.dat (2O12L)
* Libzia-ver.so.d distributet, not working

=3.12=
2012-10-01
* Fixed debian build --without-bfd
* Fixed libzia's settins include in deb
* Band multiplier for NAC
* Alternative priority set to 50 (tucnak2 has 40)
* Remote host is resolved
* Fixed resolve error handle under platforms with getaddrinfo
* Must not enter first two letters of locator (60LJ is JO60LJ for stn. from JN69)
* Removed direct backtrace from internal_error
* Fixed tucnak.d and bfd_open path
* Autosave and floppy save fixes, TNX to OZ7Z
* Platform and version to crash messageboxes's titles

=3.11=
2012-09-21
* Left click on window tab shows context menu same as Subwins
* Run mode stat next to WPM indicator
* New hotkey Ctrl+R, tnx to 9A4ZM
* Use speaker hidden under windows
* Fixed text in tucnak3.desktop
* QRV list transferred by New From Network
* Fixed network reconnect when remote is connected
* Enter in log window adds empty line for 
* Fixed accidental stdin close in winkey/rotator
* New option net_remote_enable
* Fixed color of lowercase KST call
* Removed debugging of P3 command
* Page Up in QSOs window wraps to end of list, TNX to OK1XDF
* Fixed heap corruption after twice sf_close() when recording device cannot be opened
* Binary zloc in libzia/src
* Deb dependency to libzia of same version
* Use -release in libzia creation

=3.10=
2012-08-28
* Removed libbfd from debian build because binutils versions incompatibility
* Fixed crash after tab in welcome dialog probably only under msvc/mingw

=3.09=
2012-08-28
* Backtrace uses map file under mingw
* Updated backtrace for msvc
* Fixed winkey also under msvc/mingw

=3.08=
2012-08-14
* Fixed winkey, TNX to OK1HRA
* Unhandled Exception under mingw
* Fixed compile under OpenSuse due broken binutils-devel
* Platform in window title and on some next places
* Fixed impout.dll for paralel port under mingw
* Included settings from libzia
* Fixed parameter parse (-i) under msvc/mingw
* Example tucnaknames and tucnakcw in binary
* Enter in Welcome dialog does not run Language choose

=3.07=
2012-08-07
* Can be compiled under mingw, not tested
* Fixed IPV6 resolving, tnx to CT1DRB
* Fixed -liberty compile on OpenSuse, tnx to CT1DRB
* SDL keyboard delay/rate taken from system under MSVC
* Fixed operator send for Network Info
* Fixed jump to first QSO in QSOs findow when first fucused
* Fixed WAV search after Ctrl+P in QSOs window under MSVC
* $E in default ssbd_template
* Repeated play in Player window
* Fixed subwin inputlines position without resize
* Thread names for debugging
* Band name in QSO info
* Suspicious chars ?! are red
* QSO check after call/locator enter
* Maybe fixed rig QRG resend after band change

=3.06=
2012-07-25
* Probably fixed fftw but not released
* Msvc version uses Release build to improve speed
* Fixed X11/putty mouse handle for coordinates>94
* Fixed RBN call selection in DXC window
* Fixed background on gnome-terminal
* Fixed DXC spots in HF window
* Fixed Shell window under Linux
* Code cleanup
* Httpd options dialog
* Fixed httpd SO_REUSEADDR
* Fixed DXC spot parse

=3.05=
2012-07-18
* Fullscreen Ctrl+F11
* Font change Ctrl+, Ctrl-, Ctrl0
* New font 8x13
* Disabled portaudio in linux build because ubuntu segfault in Pa_Initialize
* Speedup: calls are not compared using regular expressions
* Speedup: calls are hold also in hash
* Oh mistake and Ask for sked in KST window
* QSOs from all bands in QSOs window

=3.04=
2012-07-03
* Fixed Tucnak data.lnk
* Window title is Tucnak instead of tucnak3
* New contest from network (flood)
* New spy method (flood)
* Fixed operator load from contest files
* Connection to remote tucnak
* Kill connection in Subwin menu

=3.03=
2012-06-18 (R1724)
* red highlight of 73-like KST messages
* turn on SSBWAY pin also during CW CQ to allow CQ on more band simultaneously
* dark yellow calls in subwin only when worked on all read-write bands
* fixed crash when sdl cannot be initialized
* kst logged QRV stations from QRV list
* fixed accidental QRV list sort change when subwin is leaved with Alt+number
* changed color of qsos and qso gain in map subwin
* svn version (revision) compiled-in in binary
* fixed crash after contest wizard, TNX to OK3MAD
* call selection and right mouse in qrv subwin
* QSO window does not loose focus when switched to it
* QSO window does not switch to last QSO when focused

=3.02=
2012-05-09 (R1637)
* fixed SSID'ized call info and call use in KST and DXC
* fixed crash after home key in KST and DXC
* fixed crash in quicksearch
* fixed Diskfree text in audio dialog
* fixed dxc_host delete
* link with libzia can be static or dynamic
* fixed new contest crash bug

=3.01=
2012-05-02
* fixed fftw sample count handle
* updated libfftw3 3.3.1 to pl1 for msvc
* qrg entry in khz (.144300)
* bandmap in dxc window
* new key l in map
* disable screensaver under msvc
* format of -i
* libusb in installer
* fixed time_t 64bit bug, tnx to G1OGY
* highlighted item in sked window, enter send to worked qso
* hamlib rotator fix, tnx to OK1HRA
* rotator poll interval
* fixed slow chart redraw without qsos
* portautio must be at least version 0.19
* fixed soundwrapper argc bug, tnx to DL1JBE
* wider beamwidth in map
* sked dialog rewrite, removed we_call and skedshift
* charts are per band
* loading of txt into chart loads also other bands
* qso gain in for photo
* alt+f4 closes tucnak under windows
* progress indicator during exports and qso check
* chart points axis value round
* chart time axis extremes snapped to hours
* removed charset menu
* newline adter map image in wiki export
* fixed portable calls in KST, DXC
* QRB, QTF in Call info
* removed Not mounted message when no floppy is defined
* fixed floppy save under msvc

=3.00=
* first test - march contest 2012 OK2M
* change SDL key repeat
* azimuthal star in map
* simplyfied first contest options
* (untested) support for hamlib rotators
* fixed names after Alt+C, tnx to OK1MZM/YL
* macro $J
* exact qrg in cabrillo, tnx to OK2CQR
* fixed rig qrg set after band switch
* kst reads cwdb and namedb from /sh us command
* double font height
* readonly flag in bands menu
* set default rst-s after band change
* fixed race condition in eventpipe mutex create
* mast icon in map
* fixed map for photo feature
* fixed sconn free bug
* fixed chart file not found message
* hdkeyb is started only with rotar(s)
* removed dump on Ctrl+L
* fixed sdev error messages handling
* fixed lockfile delete after keying device close
* fixed crossmode warning in qso check
* show wkd info from qrv list
* fixed chart.c compile under msvc
* fixed bug in CW speed using winkey. TNX to DL5YBZ
* fixed font draw with height!=16 under graphic windows
* wkd, qrv in qso info
* alt+k accepts usernames like call-2 and call/p
* ctrl+k does not add (CALL)
* rst in edit qso saved as uppercase
* network info for -i
* actual band selected in band menu
* show more chars of cw cq in menu
* fixed minor bug in wiki and html export
* fixed crash in wiki export without sdl
* fixed crash in macro $B without contest
* common code moved to libzia
* split header.h into more smaller headers
* memory allocations only from glib
* removed cba_t
* forked v3

=2.41=
2011-05-25
* released as tribute to Douglas Adams. Don't panic!
* fixed trace_sock
* fixed udev script - usb_device -> usb
* fixed some gcc warnings
* html/http/wiki exports map and chart as png
* http server for contest progress presentation
* changed fifo time format to HH:MM
* fixed wiki map description
* fixed volume indicator flicker
* fixed trace condition
* show chart files without sdl
* fixed grid & boundaries in map, tnx to DG6MAN 
* libgpm is disabled by default
* fixed player and chart windows add
* fixed network interfaces detect
* ignored duplicate $GLIB_CFLAGS, $GLIB_LIBS in configure.in
* new macros in tucnak -s

=2.40=
2011-04-05
* added _cv_ in autoconf cached variables
* updated missing script
* fixed iconv detection
* fixed tucnakrc load under WIN32
* sdev trace
* trace rewrite
* split master db into more strings
* rewritten cbr items choice for OKOM DX
* compile under msvc and ming but unusable at this time
* fixed qrv edit/insert (should overwrite another item)
* added player (and chart) window types in Add subwin
* removed testing code for Ctrl+P in main inputline
* experiments with waterfall palette and filtering
* frequency axis in fft scope
* frequency argument in soundwrapper for testing
* tab complete file in file import
* chart subwin
* fixed cursor position in inputline history alt+h
* degree sign in C_W quick search
* fixed alt+letter in qrv search
* rig error code instead of qrg
* changed rig debug level
* fixed rigs with unsupported rig_get_vfo()
* +1/-1 alloc bugs detection with --enable-leak-debug
* fixed qrv insert from keyboard
* fixed text upcase in qrv insert/edit

=2.39=
2011-02-25
* fixed ftdi_context portability between libftdi versions
* qso gain diagram
* qrv gain diagram respects worked count
* qrv item insert
* qrv item edit
* new contest loads ~/tucnak/qrv
* fixed qrv points drawing when mouse move

=2.38=
2011-02-20
* fixed bug in map window during contest load
* fixed memory alloc problem in master db
* degree sign as hexa constant 0xb0
* rewritten qrv database
* fixed master database comment filter
* increased length of contest option numbers, tnx to RU2FM
* calls from master database are never deleted
* fixed contest date in contest options
* qso check warning if exists remark
* fixed qsonr in cabrillo output, tnx to OK1HRA
* fixed avg unit pts/km in wiki and html output
* fixed compile without various --without combinations
* removed forgotten font13x24.png create
* QRG in edit QSO
* correct size of screenshots in HTML export
* fixed runmode CQ without hamlib, tnx to DL1JBE
* fixed Ctrl+3 to Ctrl+9 under SDL
* wav player seems to be usable

=2.37=
2010-10-27
* two letters input moved to unresolved area
* fixed some minors in runmode, tnx to OK3MAD
* fixed soundwrapper sound frequency
* rewritten runmode for A1/MMC
* fixed runmode CQ only in CW mode (TNX to OK1HRA/TC03W)
* fixed runmode TU
* skeleton for wiki publish
* fixed TU give in run mode
* > for qrb>average in qsocheck
* changed delay between hamlib rig calls for slow radios
* fixed string truncate in inputline insert
* rig freq read reads from actual VFO
* rig mode change keeps bandwidth
* fixed autogive=0
* expedition mode

=2.36=
2010-09-27 
* fixed rig ID choose
* fixed segv in loading of contest with HF window and > 6 active bands
* do not add 'similar call' to qsocheck when this call is also worked
* set rig handshake to none (default for TS850 is CTS/RTS)
* set rig timeout to 500ms (480s is unusable)
* gdb and rigctl under cygwin
* fixed cygncurses-9 dependency for sh.exe under cygwin
* updated tucnakdw (4X, ZC4, many UA)
* improved edit qso time parsing
* autogive mode after some typed chars
* macro $B
* bell sign for character 7 under sdl
* in macro $I dots are replaced by question marks
* added baudrate for rig control
* fixed R9SA parsing as report (tnx to OK1HRA)
* WAZ and ITU in HF window
* rewritten exc list in HF window
* master call database
* fixed SFI parse
* "live" QSO list in HF window
* enlarged layout of HF window
* updated UA wwls in tucnakdw
* fixed missing excs display
* argument -m sets time from master PC
* 'c' key for center screen to QTH
* 'p' key for photo in map
* fixed second part of CQSOs for method 16
* summery table with links to bands in html export
* fixed buffer and period time to ms (was us)
* similar calls are computed using Levenshtein distance
* cleared qso check message
* fixed top10 formatting for qrb>=1000 km
* reverted to old udev rule style (for lenny)
* fixed memory leaks in dwdb.c, rotar.c

=2.35=
2010-06-30
* fixed crash in fft calculation
* support for Championnat de France THF
* alt-j: short access for A/C and M/S cq 
* qrv list save
* configure checks for make
* fixed large qso number display in global QSO mode, tnx to DL5YBZ
* support for prefixes with slash (3D2/C)
* fixed crash after IT9x call (* in prefix in cty.dat), tnx to DL5YBZ
* fixed $MN macro, tnx to OK1HRA (GL in WPX!)
* send CW2 and save QSO also after QSONR 
* list import
* support for odd/even/1st/2nd TX (A/C, M/S)
* fixed suid of soundwrapper
* updated cty.dat
* SYSFS{} changed to ATTR{} for new udev versions

=2.34=
2010-04-26
* changed time separator from . to :
* four digits are QSO number, not month and day of month 
* deb package uses suided soundwrapper 
* macro $I
* fixed statistics calculation after loading of contest
* added frequency to adif export
* fixed exchange output in cabrillo and adif export
* changed format of ChangeLog to Mediawiki source format
* get back generated debian/changelog, it seems we have no DEB maintainer

=2.33=
2010-02-18
* fixed usaca multiple names    
* rit clear after qso save in run mode
* support for ARRL International DX Contest
* fixed ARRL VHF scoring
* turned off cq repeat for cwdaemon
* rig changes: poll interval, mode and band transfer

20100213: 2.32
	cabrillo export for ARRL VHF contests
	fixed leak debug on AMD64
	fixed double rig_cleanup()
	fixed using of non-serial ports in hamlib (f.e. rpc.rigd, type 1901)
	rover (/R) are not dupe when are in different big wwl
	fixed EDI properties dialog 
	script for Asus EEE binary and optimized configuration
	updated tucnakrc (HF bands, windows)

20100101; 2.31
	fixed crash if mode is changed without FFT window. TNX to DF4OR
	crossmode test in QSO check

20091130: 2.30
	fixed device locking under cygwin, tnx to G1OGY

20091103: 2.29
	fixed corrupted contest date display in Open contest from net 
	fixed tucnakdw; JN89 is in OM	
	fixed cwdaemon and sdev double freeing 
	recording level has filtered DC 
	CW window holds PTT all time it is opened
	removed debugging show of 1's under volume indicator
	fixed (null) display in empty qrv list
	speeded up sdl key repeat
	removed delayed screen redraw
	fixed KST new call upcase 
	DX network command sends only valid spots, no KST or other garbage
	fixed rig qrg display (mode switch worked) 
	fixed ebw db import error message 
	
20090921: 2.28	    
	added font scale, height 16 to 32 pixels
	removed double font support
	updated display format of sked
	sked popup window
	updated German translation, tnx to DK1HJ
	directories are created with rights 0777 (& umask)
	frequency spectrum display (depends on libfftw3)

20090809: 2.27    
	changed GHz bands 120->122, 144->134. You need to change it in your tucnakrc!
	created local svn repository
	added 4O-YU and HV boundaries to map   
	qsocheck checks unknown DXCC prefix
	cor is calculated in thread
	updated tucnakdw, synced with lx 1.36
	automatic spacing of windows titles to fit screen
	fixed timeout in sconn_ftdi_read
	fixed bug in free_ssbd (cwda keeps not null but freed)
	optimized screen redraw on slow computers
	ptt lead-in delay for winkey
	qrv list

20090423: 2.26    
	castellano translation, tnx to LU9JMG!
	changed cw weight sense from obscure cwdaemon type to logical winkey type (30..70)
	fixed operator handling via network, causes bad operator name in Network monitor
	dxc shows only unmaked qsos
	configurable band switching
	rig freq can be entered by .300 (means 300 kHz, MHz are unchanged)
	new macro $e ('code' string when contest code was entered during file recording)
	rewritten parts of sdev stuff (rotator)
	rewritten rig control to threads
	fixed long delay at program exit (caused by rotator ttys)
	fixed DX cluster spot handling when no zulu time is present on the end. Tnx to DK2ZO
	support for winkey+davac4 at same time (experimental)
	fixed negative number read from tucnakrc*. Affected are ssbd_plev and ssbd_rlev
	fixed davac4 opening when an error occur
	ssbd use threads instead of processes
	scope subwin
	fixed rig_ssbcw_shift, was constant value 660 Hz
	fixed buggy usb_info(), tnx to OK1CED
	fixed missing ftdi_usb_get_strings() in libftdi 0.7, tnx to OK1CED
	fixed bug in menu_rotar_delete

20090222: 2.25
	fixed compile bug without SDL (rotar.c sw_map_update_rotar)
	fixed minor bug in sndfile configuration

20090212: 2.24	
	removed unused experimental sdldyn code
	updated tucnakdw, tnx to OM4AA!
	data/sortdw.pl
	show rotar azimuth on map
	support for ftdi and remote rotator
	fixed '59001' input. Bad regexp. Tnx to G1OGY!
	fixed rotator serial port setup, tnx to hamlib
	RSGB variants M1-M4 in tucakwiz, tnx to G1OGY!

20081221: 2.23
	changed RSGB contest scoring (dxcmult=1, total_method=2)
	fixed EDI export (EXC count)
	first support of rotator options dialog (not done!)
	first support for global QSO NR
	fixed bug in clear_tmpqsos, can cause segfault
	fixed compilation problem without hamlib, tnx to DL1JBE
	added new easier way to create dialogs
	contest name, qsos, qsop, total pts in statistics window
	total method 3 for cq ww dx contest, counts al bands together
	fixed defrstr at dialog load	
	cq ww dx contest scoring
	show band name in meters for hf bands
	tucnakwiz fixes
	
20081213: 2.22	
	reworked tucnakwiz format to have same items as data files
	removed gen-conly, automatized intl creation 
	rsts entered as 59, or 599,
	rstr entered as 59' or 599'
	qsonrr entered as 001;
	rewritten parts of exc
	qso inputline restricted only to valid chars
	fixed old (<abt 2.14) contest files loading

20081205: 2.21
	first implementation of RSGB DC multipliers finished
	exc stats in stats window
	verified exchange (but not waz/itu) can be entered directly without .
	added operator to html export
	
20081203: 2.20
	next part of work on optional exchange
	search for wwl/exc ony when is used
	possibility must not to confirm wwl/exc
	mixer volume settings for playback and recording
	fixed record bar removing after record end
	update excdb from contest/band
	option for disabling screensaver
	optimized screensaver turn-off
	cancel button was interpretted as ok in some dialogs
	added range checks for numeric inputlines in dialogs
	ctrl+shift+k changed to ctrl+k
	rig configuration dialog	
	winkey configuration dialog
	fixed winkey paddle break-in
	davac4 ftdi_state locking
	ptt lead in delay	
	minimal and maximal cw speed
	extended band configuration dialog, covers all config items
	initial support for per-band rig_lo

20081112: 2.19
	fixed 599EXC entry, enabled only in contests without qsonr
	fixed exctype=unused in contest options
	support for winkey2 pushbuttons
	rig, ttys and winkey locking
	fixed fhs_lock
	under sdl languange chage changes also charset
	graphics use "virtual" terminal type named sdl
	fixed ctrl+V conflict between special inputline char and band change
	fixed bug when band is switched to read-write and cursor is not left
	fixed wrong inputline focus by mouse hover, tnx to OK1NP
	bitmap in html export files linked to tucnak.nagano.cz
	repeat of winkey cq
	rewritten initialisation of winkey
	support for backspace in cwwindow
	cwwindow accept only keystrokes without Ctrl or Alt
	minor changes in memory info dialog
	Makefiles also in subdirs intl, pkg and win32
	improved dynamic SDL loading but still not work
	removed debugging qrg from trig.c

20081030: 2.18	
	saving and loading highlighted callsign list - file hicalls
	KST /CQ command with new callsign
	disabled ntpq under cygwin
	fixed bad cwwindow characters routing for winkey
	send uppercase chars to winkey
	winkey hostmode (blind)
	tmpqso entry will start recording if was previously interrupted by timeout
	arguments --without-XXX in configure.in, tnx to DL1JBE
	removed unmaintained Gentoo ebuild files

20081027: 2.17
	edit->fix QRG
	first blind support of winkey
	vhf database is also loaded from ~/tucnak/vhf.dbf
	time is running when dialogs are opened
	tab closes cw window
	fixed cw window cursor
	delete old characters in cw window
	fixed break of played characters in cw window

20081013: 2.16
	hotfix for segfault after network problem
	
20081002: 2.15
	slash can be mapped to other character and vice versa
	double size of font
	fixed "bug that cannot happen" - crash when TCP connection is closed and
		more lines is in input buffer (rdbuf). Happens mostly on slow
		computers and/or under heavy load.
	first support for dynamic load of libsdl
	fixed frequency display > 2^31Hz
	removed forgotten debug sleep(10) after sigpipe

20080904: 2.14
	probably fixed alsa bug (EINTR instead EPIPE)
	limited alsa recovery to 5 times
	band limitations in wizzard
	fill rst-r
	exc database
	reworked optional exchange types
	limited display of OE to 4 chars. stored size is unlimited
	AVG statistics moved right to Total-Points
	found bug in rc loading - can cause crash with new items in tucnakrc
	simplyfied rotator code using process
	removed thread-unsafe getpwuid
	rig control using hamlib 
	skeds are sepparated by band. Removed sked file, data is in txt files
	ntp synchronization check and warnings
	ggsend band equipment for active contest over net 
	kill subwin shells with SIGKILL under cygwin
	remember spypeers in spy file
	remember file:line of last mutex locks (for deadlock debug)
	fixed DXC crash when bandchars are not consequent
	spy peers are showed on all bands
	spy can spy all read-write bands
	sent RST doesn't change to default after mode change when it was entered by operator	
	trace_xxx's write only to debug log and log files, not to screen
	text QRV on is showed red
	QRV bands in call info
	shift+arrows and zoom keys do fine zoom/shift
	alt+k in shell inputlines fill /CQ CALL command for ON4KST chat
	talk works across different contests or without contest

20080713: 2.13	
	fixed crash in alt+i without contest
	runtime glibc version in settings and tucnak -i
	removed spaces from variables bellow
	CFLAGS, LDFLAGS and LIBS in settings
	ld -z now when supported
	fixed crash in cwdaemon_send_defaults(), tnx to OK1HRA
	fixed overwriting of edi when ok_section_* is no set
	fixed compiler warning in free_keymaps() 
	fixed !rotars crash after SIGTERM
	added share/tac2tuc.pl by G1OGY
	fixed loading of ~/tucnak/tucnakdw and ~/tucnak/cty.dat, tnx to G1OGY
	fixed optimalisation show in settings
	fill sked QRG when target band is changed
	ppdev present in settings
	data sizes and endianity in settings
	qrv on bands are taken from all bands, not only from higher bands
	qrv on bands doesn't show already worked stations
	tucnak -i shows program version
	contest close breaks recording
	handled select() EINTR in cwdaemon thread
	cygwin version in settings
	updated E7 and CN in tucnakdw (G1OGY)
	in qsocheck/call info all qsos has "call is without /p" flag
	snapshot has bandchar in filename	
	html image uses bandchar in image links
	html exports shows own locator
	libgpmg1 is showed in settings as optional

20080703: 2.12	
	removed uname.exe from NSI	
	alsa recording continue after buffer overrun
	removed KST "watchdog"
	64px startup icon
	removed defrc.c replaced by data/tucnakrc
	configure shows library versions
	fixed some gcc-4.3 warnings 
	fixed CT3, added CN and E7 in tucnakdw, tnx to G1OGY
	updated share/applications/tucnak2.desktop
	
20080620: 2.11
	actual cty.dat
	externa cwdaemon support again
	qso check compares exact callsigns (/p) and locators on other bands
	statistics window shows odx per hours
	fixed screenshot in 8 and 16 bpp, tnx to OK2FUG
	PA tune function Alt+T in CW mode
	fixed bandchars beginning with "W" (lost item in arrays)
	fixed possibly ambiguous parentheses in ADDQSO

20080605: 2.10
	fixed "59," crash, tnx G1OGY for inspiration
	removed gmtime(), replaced with gmtime_r()
	qsocheck.txt is ignoring older C_W items than 2 years for /P and similar checks
	time of qso in qsocheck.txt
	fixed missing newline in qsocheck.txt
	QSO mode in TOP10
	columns titles for hours part in stats window
	fixed macro $V - it was same as $C
	increased length of screen resolution textboxes in misc options
	fixed reversed polarity of ssbway signal in davac4

20080502: 2.09
	hotplug scripts for davac4 usb device
	support for davac4 by using libftdi
	wildcard '?' same as '.'
	support for parallel port under cygwin using inpout32.dll

20080227: 2.08
	install script for NSIS
	support for cygwin
	reworked SSBD dialog, changed to Audio
	menu.c section in header.h split to menu1..menu5
	scandir taked from glibc because of ambiguous prototype
	shift+backspace is same as backspace
	updated debian/*, tnx PG4I
	QSO check sets suspicous callsign (?/! as next to locator)
	QSO check in menu
	call information dialog Alt+I
	added highlight regexps for DX cluster
	fixed accidental band activating with Alt+letter
	map zoom by keys +/- has center in map center not mouse cursor
	new hotkey Ctrl+P for playing last recorded sample
	fixed recording when CW macro is undefined or SSB wav file is not found
	fixed quicksearch drawing without contest
	disabled first rotator in defrc
	fixed gses inputline position when resized in contest
	added penguin icon 64x64
	updated cty.dat to 1710
	new statistics qso points and qso count by hours 
	wwl and dxc statistics show qso points and qso count
	new statistics qso/hour, points/hour, points/50 qso
	text wwl 'maps' showed only when scoring is 4 
	added 'watchdog' for PTT keying 
	improved suspicious callsign indication
	removed bandchar from screenshot filenames
	updated make deb
	highlighting in KST shell uses dark yellow when call is already worked
	initialized 4th argument of snd_pcm_hw_params_set_buffer_time_near
	Special SEGV handling with minimal memory access
	Fixed recording of prepared contest

20071102: 2.07
	fixed sw->minq after band change
	screenshot on key F1, Alt+F1
	updated portuguese translation
	watchdog for shell inputlines

20071003: 2.06
	fixed qsonrs replication in spy
	fixed insane chars in DXC window
	fixed dialog Contest options 1

20070830: 2.05
	fixed boundary drawing in map
	new cty.dat
	fixed ttyS lockfile problem
	verbose DSP errors
	colorized call highlighting

20070808: 2.04

	dialog misc options
	contest defaults stored in uppercase
	operator is sent over network when no contest is active
	added operator to tucnakrc(.local)
	handled unicode keyboard events, respect keyboard layout

20070706: 2.03
	improved library detection
	debian package tips in configure
	basic alsa support
	fixed qsos on map logged when map inactive    
	playing last recorded sample
	disabling compile optimalisation as configure option
	fixed name for second tmpqso call
	added km unit for tmpqso qrb
	added degrees sign in graphics mode
	fixed negative rotar address 
	close fds 3-1023 before executing shell
	Fill operators moved to menu Contest
	Fill operators saves all bands

20070531: 2.02	
	removed debug line in qso replication - bad arguments
	leak debug only on configure demand - probably fails on AMD64

20070517: 2.01
	released especially for Micinka & Lizinka
	probably fixed alt+letter with capslock
	new option Max fragment count

20070422: 2.00
	independency on external files - only one binary is sufficient for running contest
	better handling of arguments on non-32bit architectures
	integrated functionality of cwdaemon, ssbd and ssbm
	subwins are functional without contest
	many many work
	forked branch 2
	
20061002: 1.30    
	fixed open mode for txt and edi files (CRCRLF under windoze)
	fixed makecol error without HAVE_SDL
	fixed minor bugs in Mark as error and Save as dupe
	added takeoff saving into tucnakrc
	fixed inputline position after new spy adding

20060829: 1.29	
	takeoff profile to map
	updated cty.dat
	added operator call peer selection dialog (C_W and cfg over net)
	added operator call to network info dialog
	rewritten qso spy
	removed cwdaemon_g.c
	added copyright information to source files
	portuguese translation, tnx to CT1DRB
	found allowC1Printable feature in xterm, disabling was useless
	don't show characters 127-159 (control chars for xterm)
	higlighting of raw call (without /P etc)
	QRV info showed in quicksearch
	improved QRV info about station
	improved regexp for WWC highlight
	info about same contest in network info dialog
20060623: 1.28
	fixed buggy ptrarray alocation, tnx to OK1HRA
	removed cwdb hash hack
	added title page export
20060612: 1.27	
	fixed star drawing in map
	fixed border drawing in map
	fixed font to be iso8859-2
	new spy mode shows full inputline
	fixed band loading from multiple rc files
	delay to rotar communication to prevent high cpu load
	fixed "(null)" write to tucnakrc
	default band in contest
	fixed bug in rel_write_almost_all - if (conn_prod_state)
	fixed signed/unsigned chars for gcc-4.0
	Unfinished QSO add information from tmpqso
	Fixed QRV station on new contest (!ctest->tdate)
	Resets cwdaemon and ssbd after SIGSEGV
20060503: 1.26
	Fixed key P in map
	Key T in map
	Fixed bug in main loop - timers and jobs were affected
	Show seconds
	Help for map hotkeys
	Call highlighting for WWC and WWC via KST
	QRV stations in polar map
	Beamwidth of antenna in polar map
	Fixes satisfies -Wpointer-arith and -Wstrict-prototypes
20060427: 1.25	
	Removing of expired DXC spots every 5 minutes
	Rotator dialog
	Fixed timers
	Fixed ESC in polar map
	Extended callsign regexps
	Fill operators back in menu
	Mark qso as not confirmed when qso with same call arrives from net
	Fixed desc file after contest options
	Fixed shell chars 0x84 and 0x85
	WM icon
	Fixed map title
	Support for GPM
20060205: 1.24	
	Show RUN's TX state and call on S&P and vice versa
	Rotator fixes
	TOP 10 and statistics export by OM4AA
20050828: 1.23
	RUN can TX (no CQ) when passed band control (to say QRL)
	time of stored qso cannot be older than last qso on band
	basic mouse support
	RUN+S&P together on one band
	fixed edi import
	fixed libpng detection 
	sked QRG definition using Alt+F
	variable count of status lines
    fixed sked time and added configuration option for sked tikme shift
    change in statistics causes dirty band for saving
	removed saving .txt files after amount of qsos. Files are saved	immediatelly.
	qso replication fixes
20050630: 1.22
	removed DARC contest from tucnakwiz because of bad calculation method
	added ser_id to txt file
	fixed next bug in QSO replication
20050626: 1.21
	fixed CRITICAL bug in QSO replication
	search for locator on other bands
	QRB rounding bug, thanks to OM4AA
	EDI import fixed, reported by OM4AA
    Gentoo ebuild files by Florian Evers <florian-evers@gmx.de>
	Subwin configuration (not in menu yet)
	Fixed ssb_repeat
20050523: 1.20	
	Improved QRV message
    Bug in updating stats over net. Thanks to Stefan DL1ELY
	Exotic callsign entry with trailing slash
	Updates mode of QSO if report(s) edited
	Quicksearch shown regardless active subwin (tab)
	Recalculation of tmpqsos when locator is changed
	Bug in intl files (time skew net.c). THX2OM4AA
	II.subregional
20050313: 1.19	
    fixes for cygwin
	possibility to enter call like IW3RUA/IV3
	fixed optional exchange display
20050311: 1.18
	unwanted release of 1.18 :-)
	optional exchange by Marco IW3IKN
    fixed QRV bands
    Warning if received unknown callsign		
    Changed saving to ~/tucnak/$T/log
    ADIF import, fixes in export
20050304: 1.17
    I.subregional tomorrow...
    libpng for snapshots
    Fixes for AMD64	
    Fixes for -ansi
    Unused code clean
    Band character in snapshot filename
    Propagation modes in ADIF export
    Experimental rotator control, show direction in map
    Show date of latest C_W item in Memory info
    Remark and operator in tmpqsos
    Corrected QSO plotting in map
    DARC VHF/UHF/SHF contest. Thanks to DF1MA 
    fixed some bugs in CW & SSB CQs

200411xx: 1.16
    MMC
    after contest probably fixed very old bug with empty default RS&RST    
    at IARU UHF contest fixed bug in ssb cq macro expanding

20040819: 1.15
    Slovak translation & UTF-8, thanks to Michal Karas, OM4AA

20040818: 1.14
    DL8EBW database import
    
20040805: 1.13
    fixed bug in quicksearch of C_W
    show callsign in ERROR qso
    unfinished qso adds ERROR
    lines in Shell subwin containing <*call*> are highlighted (convers PM)
    keying and CQ are available under graphics (ESC,TAB,Fx)
    tucnak reads global config only if no user config exists     
    Alt+1 turns focus to inputline
    qso repliacation fixes, INCOMPATIBLE change
    III. subregional
   
20040703:
    indication of running CQ's in left of main inputline
    fixed bad myid recognition
    added dependencies for .deb
    fixed SIGWINCH & inputline bug
    DX spots spreads over network
    Added some debug stuff for QSOs and DXC
    Microwave contest, some crashes

20040602: 1.10
    fixed SSB CQ
    IARU II.subregional contest
    
20040501: 1.09
    Fixed bad resizing of subwins with inputline
    Band map

20040320: 1.08
    Code cleanup, program can be compiled with -Wall -Wpedantic -ansi
    Added correct IARU QSO points rounding (THX to OZ2M)
    Fixed crash in contest options save (THX to OK1MZM)

20040314: 1.07
    Show operator and remark in QSO window (if terminal width>80)
    Show QRB/QTF in quicksearch 
    Highlight operator's call/suffix in windows
    Fixed disabled input in talk
    Added --disable-glib[12] to configure
    Support for glib 2.x
    Shift+Arrows moves map with smaller step
    highlighted worked WWLs in polar map
    added my locator to "report" output format

20040215: 1.06
    upadated documentation
    fixed minor bugs
    added some statistics to HTML export
    fixed HTML export to be valid HTML 4.01
    big WWL names in polar map
    graphics screen save (F1)
    added Recalc QRB,QTF item in menu Edit                       
    recalculate QRB,QTF after changing QTH during contest                       
    fixed minor bugs in graphics screen redrawing 
    Ctrl+P shows the polar map
    fixed autosave of QSOs arriving from net
    gfx window can be closed by WM icon
    fixed ADIF export to be compatible with TACLOG
    HTML export

20031123: 1.05
    fixed 8bit color depth
    fixed network serial bug, INCOMPATIBLE change!
    log subwin doesn't scroll up when we look inside
    added horizontal scroll [ and ] to qsos and log subwins

20031115: 1.04
    fixed hw2qrbqtf	
    added M as multipath report (59M)
    log and subwin movement by [ and ]
    speed up polar map drawing (but there are some problems)
    added macros $D and $T
    fixed segfault pressing F4
    rewritten graphics to use SDL instead of Allegro

20031020: 1.03
    Fixed some packaging problems

20031013: 1.02
    Setup->Network & trace
    Edit->Fill operators
    Alt+H = inputline history
    rewritten and rearranged dialog Edit QSO
    accelerated convergention of master choose
    traffic recording
    try to find locator also for raw call and call/p
    extended call-wwl handling
    #REMARK adds remark to qso
    'r' in QSOs subwin mean there is remark
    fixed bad repaint when DUPE call is entered 
    enter of 'q' toggle QSL PROMISED flag
    ~/tucnak/tucnakrc.local
    done Czech translation
    all translatable strings moved to intl/english.lng
    some minor fixes for -Wall
    fixed bug in destroy_bitmap (GRRRR!!)
    add File->Open/Close graphics window

20030927: 1.01
    ignored unknown options in tucnakrc
    load C_W from net
    load configuration from net
    implemented other methods (7-11)
    implemented statute miles method (where is used?) (nr 5)
    implemented RSGB WWL ring (it's really correct?) (nr 3)
    ADIF export
    graphics polar map 
    tab aborts CQ's
    unresolved items such as OK1ZIAV, 1160, OK1ZIA/B... showed upon inputline
    fixed bugs in tucnakdw for DXCC "G" and JO81
    first support for ssbd

20030826:
	first public announce on Packet Radio

20030824: 1.00    
    fork()=0; getpid()=1.00;

20030824: 0.32
    completed documentation 
    some minor changes
    added make deb

20030819: 0.31
    fixed QRV now
    added menu Subwin
    send AC after Contest->Contest options
    fixed net problem when only lo exists
    .12 means 12 only 
    minutes
    4 numbers in input mean month and day of month
    20030817: OK activity contest without UFB

20030816: 0.30   
    
    Added screen save/restore in xterm
    Fixed bad readonly handling
    Semicolon in some items converted to colon (for network protocol)
    Rewritten macros like STORE_STR
    INCOMPATIBLE change in network format
    Added variable TUCNAK_DEBUG
    Term specifications written to tucnakrc
    Fixed bug in refresh_cwdaemon
    Fixed CW keying problem
    Added docs to /usr/local/share/doc
    Swap ASL and AGL texts
    Disabled debug by default, use -d or --debug to turn on
    Fixes for -Wall
    Xterm title setting
    Alpe adria VHF contest

20030801: 0.29
    Removed socket debugging (it seems to be stable)
    Load [/etc/|~/]tucnakwiz too
    Alt+U do not add ERRROR QSO
    Fixed many bugs bear on permissions
    Network info show ID instead of TCP port
    Menu->Network replaced with Menu->File->Network info
    Stats subwin doesn't seek to end
    Fixed bug loading unfinished QSOs
    Added fifo length checking
    Fixed multiple CQ with same number
    Fixed string+1 bug in qth()    
    Log, talk and skeds are saved/loaded 
	NNXX replace 4 last letters in wwl
	X,XX,XXX replace suffix/last letters in wwl
    Added error checktig to .edi and .txt saving
    Fixed lock leak when there is no bands to load
    Tmpqsos clearing added to swap
    Detecting time skew
	
20030722: 0.28
    Asynchronous C_W search (allow keying on slow machine)
    Fixed bug in scandir's return value
    Dialog "EDI properties (PAdr1,2)"
    Dialog "Contest defaults"
    Done configuration saving
    Fixed empty default_rs(t)
    OK activity contest

20030719: 0.27
    divide qrv bands in Setup->Band options
    added mode number to edi file (there was 0 before)
    optimized saving to disk and statistics calculation
    fixed error saving replicated QSOs
    call/suffix highlighting in shell subwin
    user can send Ctrl+char via ^V char (like the vim) in shell subwin
    fixed multiple band definition bug
    save/load contest remarks (combine to one line)
    quicksearch displays band where the station was made
    added average pts/qso    
    fixed cursor position in inputlines
    TAB allows keying wherever in program
    turn off console screensaver (maybe APM) and VESA powersaving features
    20030706: Field day without fatal bugs

20030620: 0.26
    suspicious characters ?,! in tmpqsos mean the same as in qsos
    fixed "Mark as ERROR" distribution
    fixed select() bug
  
20030618: 0.25  
    First attempt to be stable release 
    TACLOG import
    Save configuration
    Added subwin with some statistics   

20030518: 0.24        
    Added wildcard '.' to match any char in quick search
    Save operator change to swap
    QSO loading from swap ("Q ")
    Fixed desc file NULL problem
    Fixed band settings when contest is active
    OK VHF activity contest without problem
    PA4TU accepts my patch for cwdaemon 0.5beta, thanx Joop!
    EDI and TXT using \r\n instead of \n
    Sked is displayed on this tucnak's instance too

20030506: 0.23
    Fixed multiple saving when loading
    Swap loading
    Update ~/tucnak/*/desc if call or tname changed
    Added chars ! and ? to locator when is suspicious
    Fixed bug in st->first_date when an ERROR exists
    Add subwin: added SKED & UNFInished    
    save unfinished QSOs to .txt
    unfinished QSOs separated to bands 
    added remark to unfinished QSO
    quick search searchs in other bands only if they exist
    fixed bug in net->myid when there is no interface
    II. subregional ctest - I must downgrade to 0.20 ($#@!#)

20030427: 0.22
    added quick seach in other bands
    fixed some memory leaks and multiple free()
    fixed buf when !cfg->cwda_hostname
    fixed bug in Contest->Open
    wizz: don't add same contest twice
    F3 opens contest if not open

20030424: 0.21    
    don't use SO_REUSEADDR under cygwin (so more tucnak's can't bind the same 
        tcp port)
    fixed BIG memory leak in use of g_ptr_array_free (Grrrr!)

20030419: 0.20
    fixed scandir prototype (really?)
    support for cwdaemon-0.2.2-zia

20030404: 0.19    
    contest options during contest
    added contest wizard
    unfinished QSOs 
    swapped and confirmed item is written to swap
    fixed NULL contest name in net_send_ac()
    extended remark size in sked to 60 chars
    prepare contest (specify date of ctest)
    rewritten contest options dialog:
      removed WWL type
      added Exc, QSO used, QSOp multi
      added "wizard" for qsop and total calculation methods
    sked to (higher) band
    fixed D_W again
    added /E, /J
    
20030319: 0.18
    fixed D_W bug when central wwls are used
    fixed cursor in QSOs subwin
    added C_W update from contest or one band
    read tucnakcw and tucnakdw from ~/tucnak
    F3 turns off "immediate search"
    fixed band change during "immediate search"
    show qrb and qtf in duplicate qso

20030317: 0.17
    updated call-wwl crosscheck
    talk: call@band: text
    time in log and shell subwins
    inputline history

20030303: 0.16                  
    show READ-ONLY in inputline when band is r-o
    show operator makes ODX
    fixed replication of '(null)' 
    fixed bad net->myid 
    /p and similar switches with and without /p
    highlighting of subwin when new data arrives
    
20030301: 0.15
    first big beta test (IARU VHF OK1ORU)
    some small contests (OK VHF activity)
    
20030226: 0.14

20030224: 0.13

20030216: 0.12

20030211: 0.11

20030115: 0.10

20021213: 0.09

20021211: 0.08

20021205: 0.07

20021125: 0.06

20021121: 0.05

20021120: 0.04
	oldest source tarball

20021014
    created project
